Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IResourceActionFilter

All Superinterfaces:
  IActionFilter

All Known Subinterfaces:
  IProjectActionFilter

public interface IResourceActionFilter
extends IActionFilter

Describes the public attributes for a resource and the acceptable values each may have.

A popup menu extension may use these constants to describe its object target. Each identifies an attribute name or possible value.

Clients are not expected to implement this interface.

See Also:
  `IActionFilter`

Field Summary
`static String` | `CONTENT_TYPE_ID` An attribute indicating that this is a file, and we are looking to verify that the file matches the content type matching the given identifier.
`static String` | `EXTENSION` An attribute indicating the file extension (value `"extension"`).
`static String` | `NAME` An attribute indicating the file name (value `"name"`).
`static String` | `PATH` An attribute indicating the file path (value `"path"`).
`static String` | `PERSISTENT_PROPERTY` An attribute indicating a persistent property on the selected resource (value `"persistentProperty"`).
`static String` | `PROJECT_NATURE` An attribute indicating the project nature (value `"projectNature"`).
`static String` | `PROJECT_PERSISTENT_PROPERTY` An attribute indicating a persistent property on the selected resource's project.
`static String` | `PROJECT_SESSION_PROPERTY` An attribute indicating a session property on the selected resource's project.
`static String` | `READ_ONLY` An attribute indicating whether the file is read only (value `"readOnly"`).
`static String` | `SESSION_PROPERTY` An attribute indicating a session property on the selected resource (value `"sessionProperty"`).
`static String` | `XML_DTD_NAME` Deprecated. Please use content types instead.
`static String` | `XML_FIRST_TAG` Deprecated. Please use content types instead.

Methods inherited from interface org.eclipse.ui.IActionFilter
`testAttribute`

Field Detail

### NAME

    public static final String NAME

  An attribute indicating the file name (value `"name"`). The attribute value in xml is unconstrained. "*" may be used at the start or the end to represent "one or more characters".

  See Also:
    Constant Field Values

### EXTENSION

    public static final String EXTENSION

  An attribute indicating the file extension (value `"extension"`). The attribute value in xml is unconstrained.

  See Also:
    Constant Field Values

### PATH

    public static final String PATH

  An attribute indicating the file path (value `"path"`). The attribute value in xml is unconstrained. "*" may be used at the start or the end to represent "one or more characters".

  See Also:
    Constant Field Values

### READ_ONLY

    public static final String READ_ONLY

  An attribute indicating whether the file is read only (value `"readOnly"`). The attribute value in xml must be one of `"true" or "false"`.

  See Also:
    Constant Field Values

### PROJECT_NATURE

    public static final String PROJECT_NATURE

  An attribute indicating the project nature (value `"projectNature"`). The attribute value in xml is unconstrained.

  See Also:
    Constant Field Values

### PERSISTENT_PROPERTY

    public static final String PERSISTENT_PROPERTY

  An attribute indicating a persistent property on the selected resource (value `"persistentProperty"`). If the value is a simple string, then this simply tests for existence of the property on the resource. If it has the format `"propertyName=propertyValue" this obtains the value of the property with the specified name and tests it for equality with the specified value.

  See Also:
    Constant Field Values
  `

### PROJECT_PERSISTENT_PROPERTY

    public static final String PROJECT_PERSISTENT_PROPERTY

  An attribute indicating a persistent property on the selected resource's project. (value `"projectPersistentProperty"`). If the value is a simple string, then this simply tests for existence of the property on the resource. If it has the format `"propertyName=propertyValue" this obtains the value of the property with the specified name and tests it for equality with the specified value.

  See Also:
    Constant Field Values
  `

### SESSION_PROPERTY

    public static final String SESSION_PROPERTY

  An attribute indicating a session property on the selected resource (value `"sessionProperty"`). If the value is a simple string, then this simply tests for existence of the property on the resource. If it has the format `"propertyName=propertyValue" this obtains the value of the property with the specified name and tests it for equality with the specified value.

  See Also:
    Constant Field Values
  `

### PROJECT_SESSION_PROPERTY

    public static final String PROJECT_SESSION_PROPERTY

  An attribute indicating a session property on the selected resource's project. (value `"projectSessionProperty"`). If the value is a simple string, then this simply tests for existence of the property on the resource. If it has the format `"propertyName=propertyValue" this obtains the value of the property with the specified name and tests it for equality with the specified value.

  See Also:
    Constant Field Values
  `

### XML_FIRST_TAG

    public static final String XML_FIRST_TAG

  Deprecated. Please use content types instead.

  An attribute indicating that this is an xml file and we should ensure that the first tag (or top-level tag) has this name.

  Since:
    3.0
  See Also:
    Constant Field Values

### XML_DTD_NAME

    public static final String XML_DTD_NAME

  Deprecated. Please use content types instead.

  An attribute indicating that this is an xml file and we should ensure that the DTD definition in this xml file is the value supplied with this attribute.

  Since:
    3.0
  See Also:
    Constant Field Values

### CONTENT_TYPE_ID

    public static final String CONTENT_TYPE_ID

  An attribute indicating that this is a file, and we are looking to verify that the file matches the content type matching the given identifier. The identifier is provided in the value.

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.